library(rPraat)
library(tidyverse)

inputFolder <- "."
listFiles <- list.files(path = inputFolder, pattern = "\\.wav$" , ignore.case = TRUE)

tab <- data.frame(file = listFiles,   # table with file names and empty results
                  duration = NA)
tab <- tab %>% separate(file, into = c("file", NA), sep = "\\.")  # odstranění přípony

for (I in seq_along(listFiles)) {
    file <- listFiles[I]
    fileSound <- paste0(inputFolder, "/", file)
    cat(file, "\n")
    
    snd <- snd.read(fileSound)
    tab$duration[I] <- snd$duration  #  + 0.500 přidáme 500 ms pauzu na konci
}


fileName <- "vystup.txt"
fid <- file(fileName, open = "w", encoding = "UTF-8")
if (!isOpen(fid)) {
    stop(paste0("cannot open file [", fileName, "]"))
}
for (I in seq_along(tab$file)) {
    writeLines(paste0("  ", tab$file[I], "\t\"", tab$file[I], "\"\t", ceiling(tab$duration[I]*1000)), fid)
}
close(fid)

write.table(tab %>% select(file), "vystup2.txt", row.names = FALSE, quote = FALSE, col.names = FALSE)
